[sword-devel] BibleTime -vs "libsword6"

Dominique Corbex dominique.corbex at gmail.com
Fri Aug 1 09:11:15 MST 2008

On Fri, 2008-08-01 at 11:01 -0400, Karl Kleinpaste wrote:
> I've been exchanging some mail with Rubén Gómez <ruben at bsreview.org>
> regarding Sword in general, and specifically GS and a few other things.
> He has brought up a Ubuntu box and finds that he cannot get BibleTime to
> cope:
> "bibletime: error while loading shared libraries: libsword.so.6 : cannot
>  open shared object file: No such file or directory"
> And indeed the "ldd /usr/bin/bibletime" output he showed me includes the
> observation:
> "libsword.so.6 => not found"
> Any idea why he would be getting this?  He's got libsword6 and
> libsword6-dev installed, and GnomeSword runs.
> (Aside: Why does Debian/Ubuntu feel the need to name/number it as
> "libsword6"?  What's wrong with the real release number?  Fedora has it
> as "libsword-1.5.11.so".)

If Rubén has got libsword packages from my own Gnomesword repository for
Ubuntu users and that seems to be the case as libsword.so.6 is missing,
I'm afraid Bibletime will not run anymore, libsword shipped in Ubuntu is
an old 1.5.9.

I suggest Rubén to try adding a symlink:
# ln -s /usr/lib/libsword-1.5.11.so /usr/lib/libsword.so.6


More information about the sword-devel mailing list